Re: GNOME 2.0 Platform Alpha Deadline - Sep 26, 2001


In anticipation of questions about "if there is no public API why is it 
part of the platform"  ;-)

>gail 0.1 : exports no public API

Required for functioning of ATK (without it ATK is mostly a no-op).

>at-spi-0.1 : not 100% API frozen, but IDL should be frozen 
>             barring API bugfixes and API additions.
>	We may add additional language bindings in the near term.
>	We hope that, since nobody depends on this API yet (except us),
>	we can be forgiven some degree of slush in this library.

Required by any clients/customers of Gnome Accessibility, e.g. assistive 
technologies.  There aren't any of these yet, but without this library 
they cannot be developed, thus this is a developer library we want to 
promote and support.  It requires the 'gail' package, above.



Bill Haneman x19279
Gnome Accessibility / Batik SVG Toolkit
Sun Microsystems Ireland 

gnome-hackers mailing list
gnome-hackers gnome org

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]